[tool.poetry]
name = "medical-data-service"
version = "0.17.18"
description = ""
authors = ["Christoph Jansen <Christoph.Jansen@charite.de>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.12"
fastapi = "^0.115.0"
aiohttp = "^3.7.4"
PyJWT = "^2.3.0"
cryptography = "^44.0.0"
requests = "^2.26.0"
uvicorn = "^0.34.0"
pyinstrument = "^5.0.0"
pydantic = "^2.5.0"
pydantic-settings = "^2.0.2"

[tool.poetry.group.dev.dependencies]
black = "^25.0.0"
pylint = "^3.2.6"
pycodestyle = "^2.12.1"
isort = "^6.0.0"
pytest = "^8.3.2"
pillow = "^11.0.0"
numpy = "^2.0.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120
exclude = 'medical_data_service/models'

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true
skip_glob = "medical_data_service/models"

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]
ignore = ["medical_data_service/models/tests"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,E0213,W0703,W3101,W0640"
